/* ddWrappers rundt 3. parts komponenter */

/* ddInput - Brukes av ddAutoSearch og andre ddInput felter */
.ddInput {
    width: 264px;
    padding: 5px 2px 4px 0;
    border-width: 1px;
    border-style: solid;
    border-color: #dadada;
    color: #333;
    text-indent: .571em;
    border-radius:4px;
}

.ddInput:hover:not(.k-state-focused),
.ddInput .k-state-focused,
.ddInput.k-state-focused,
.ddInput:focus{
   border-color:#0e3a2e;
}

.ddInput:disabled,
.ddTextarea:disabled,
.ddAutoComplete.k-disabled,
.ddDatePicker.k-disabled,
.ddNumericTextBox.k-disabled,
.ddDropDownList.k-disabled,
.k-checkbox:disabled{
    background-color:#f5f6f4;
}

.ddInput:disabled:hover:not(.k-state-focused),
.ddTextarea:disabled:hover:not(.k-state-focused){
    border-color:#dadada;
}

.ddDropDownList,
.ddTextBox,
.ddDatePicker,
.ddStringDatePicker,
.ddNumericTextBox {
    width: 264px;
    margin-bottom: 8px;
}

.ddGrid .ddNumericTextBox,
.k-grid .ddNumericTextBox{
    margin-bottom:0;
}

.ddGrid .ddDropDownList{
    width:100% !important;
}

/* Brukt i årsoppgjør */
.ddTreeList.k-grid .ddNumericTextBox,
.ddGrid .ddNumericTextBox{
    width:100%;
}

.ddMaskedTextBox{
    width:264px;
}

.ddTextBox {
    border: 1px solid #dbdbdb;
    padding: 4px;
    border-radius: 4px;
}

.ddTextBox.k-input{
    padding: 4px 2px;
}

.ddNumericTextBox {
    border: 1px solid #dbdbdb;
    padding: 1px 4px;
}

/* ddDropDownSelect benyttes for velg og utfør f.eks. Send faktura */
.ddDropDownSelect {
    width: 264px;
    margin: 0 30px 10px 0;
}

/* ddTreeView benyttes for Velg kolonner */
.ddTreeView{}

/* Klassen ddWindow benyttes enda ikke noe sted - oktober 2014 */
.ddWindow{}


.ddTextarea{
    padding:2%;
    border:1px solid #dadada;
    width:254px;
    border-radius:4px;
    /* Høyde styres i de enkelte bilder etter behov */
}

.ddMaskedTextBox:disabled:hover,
.ddMaskedTextBox:disabled,
.ddDropDownList:disabled:hover,
.ddDropDownList:disabled,
.ddNumericTextBox:disabled:hover,
.ddNumericTextBox:disabled,
.ddAutoComplete:disabled:hover,
.ddAutoComplete:disabled {
    background-color: #f5f6f4;
}

.ddCheckBox .k-checkbox-label{
    font-weight:normal;
    font-size:14px;
    padding-top:2px;
}

.ddInvalid {
	border:1px solid #f00 !important;
}

.ddAutoComplete {
    width:264px;
}

.ddAutoComplete.ddCellSearch{
    width:100%;
}

.ddAutoComplete.k-state-focused{
    border-color:#0e3a2e;
}

.ddComboboxClearable{
    width:264px;
}

/* Datepicker med tag-knapper i bunn */
.k-calendar .k-footer a {
    font-weight: normal;
}

.k-calendar .k-footer .customDateButton{
    float:left;
    margin:0 3px 3px 0;
    font-size:13px;
}
/* Slutt: Datepicker med tag-knapper i bunn */